aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Stephen P. Bennett <spb@exherbo.org> 2006-04-18 00:38:04 +0000
committerAvatar Stephen P. Bennett <spb@exherbo.org> 2006-04-18 00:38:04 +0000
commite32e2c73447fd6c886c975b78b30cc8fbb3a733a (patch)
tree2ca4c9c9bb072dc389b181c745a8ca7b3f8938a6
parentd8ce0605c9470b72279a69bcae1151a5aa19e4bd (diff)
downloadpaludis-e32e2c73447fd6c886c975b78b30cc8fbb3a733a.tar.gz
paludis-e32e2c73447fd6c886c975b78b30cc8fbb3a733a.tar.xz
Export variables set in make.defaults
-rwxr-xr-xebuild/ebuild.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/ebuild/ebuild.bash b/ebuild/ebuild.bash
index bd0e53b..d0f9dad 100755
--- a/ebuild/ebuild.bash
+++ b/ebuild/ebuild.bash
@@ -75,7 +75,7 @@ ebuild_source_profile()
fi
if [[ -f ${1}/make.defaults ]] ; then
- source ${1}/make.defaults || die "Couldn't source ${1}/make.defaults"
+ eval "$(sed -e 's/^\([a-zA-Z0-9\-_]\+=\)/export \1/' ${1}/make.defaults )" || die "Couldn't source ${1}/make.defaults"
fi
if [[ -f ${1}/bashrc ]] ; then